Panel - Bug # 156: Secure all forms against CSRF

Status: Closed Priority: Normal

Author: admin Category:

Created: 2017-04-04 Assigned to:

Updated: 2017-10-09 Due date:

Subject: Secure all forms against CSRF

Description: A number of forms on the Panel are susceptible to Cross-Site Request Forgery. Any form which does a

POST will need protecting. Reported in RT#8731.

History

2017-04-06 15:10 - admin
As the remaining forms are only for trivial uses, or redirect to third party suppliers (e.g. for payment), there's probably no harm in listing them.

Forms at the following paths need fixing:

* -Ixfer/-

* -Jaccount/config/-

* -laccount/-

* -Jaccount/invoices/pay/-
* -Jaccount/invoices/-

* -ffun/-

* -/dns/rev/-

2017-04-08 18:43 - admin

These two done (on test site):

> * [xfer/

> * Jaccount/config/

2017-04-08 21:29 - admin
Done:

> * [account/

2017-04-09 21:13 - admin
Done:

> * [account/invoices/pay/

2017-04-11 13:50 - admin
- Status changed from In Progress to Resolved

All remaining forms have now been secured against CSRF.

2017-10-09 00:24 - admin
- Status changed from Resolved to Closed
